개발은 너무해

강제적으로 ie9로? 본문

Programming/HTML

강제적으로 ie9로?

까칠 평생초보 2015.10.07 11:30

사용자가 ie9가 설치되어 있으나, 기본 버전을 이전버전으로 되어 있을 경우 브라우저를 열었을 때,

표준 html을 지킨 웹페이지는 아마도 UI가 깨져서 나올 듯 싶다.


표준 html로 맞췄더라도 사용자가 ie9 이상 또는 크롬/사파리를 사용하지 않았을 경우 아무 소용없다.


이것을 강제적으로 ie 사용자에 대해서만 ie9(그나마 ie에서 표준을 지키고 있는 최소 버전)로 변경해서 웹페이지를 보여주려고 하려면 아래 문구를 head에 추가해 주자.


ie9뿐만 아니라 현재 나와있는 edge 로도 설정이 가능함.

<head>

<meta http-equiv="X-UA-Compatible" content="IE=9" />

</head>


'Programming > HTML' 카테고리의 다른 글

og 태그  (0) 2016.06.01
table 태그 width 고정  (0) 2016.05.30
textarea  (0) 2016.02.03
강제적으로 ie9로?  (0) 2015.10.07
0 Comments
댓글쓰기 폼